XCOM 2: War of the Chosen - Tactical Legacy Pack

2 Rates
Add to Wishlist
Loading
XCOM 2: War of the Chosen
Base Game

This product requires the base game XCOM 2: War of the Chosen on Steam in order to play. You can not run this product without this game.

XCOM 2: War of the Chosen - Tactical Legacy Pack comes with new content for the game that includes things like new game modes, new weapons and armors, new maps, Photobooth options, and more.

Legacy Ops is a new gameplay mode that lets players command a squad of soldiers as they go through linked tactical missions. First, we have Central's Archives, in which you get to engage in pivotal operations that helped the resistance gain a foothold between the events of the first and the second game. Missions include: Blast from the Past, It Came from the Sea, Avengers Assemble, and The Lazarus Project.  The batch of missions is called Resistance Archives and it sends the players into battle where they have to take on enemy forces in increasingly difficult missions which require tactical skill. The addition of the Skirmish Mode lets you create your very own XCOM missions by using a complex editor that gives players the option of modifying things like enemies, squad loadouts, maps, objectives, and much more.

XCOM 2: War of the Chosen - Tactical Legacy Pack also includes 28 new maps from XCOM: Enemy Unknown and XCOM: Enemy Within that were remastered. Use reimagined versions of classic tools like the laser, conventional, and plasma weapons, and Titan, Carapace, and Kevlar armor from XCOM: Enemy Unknown. Use the Photobooth to customize your soldiers with all kinds of new attitudes and helmets, brand new backgrounds, colors, and character poses. There's even the option of picking any soundtrack from the current game, the previous one, or the brand new soundtrack that was inspired by the classic soundtrack from the original X-COM: UFO Defense by using the Soundtrack Selector.

PC SYSTEM REQUIREMENTS

MINIMUM SPECS:

Minimum:

 

  • OS: Windows® 7, 64-bit
  • Processor: Intel Core 2 Duo E4700 2.6 GHz or AMD Phenom 9950 Quad Core 2.6 GHz
  • Memory: 4 GB RAM
  • Graphics: 1GB ATI Radeon HD 5770, 1GB NVIDIA GeForce GTX 460 or better
  • DirectX: Version 11
  • Storage: 74 GB available space
  • Sound Card: DirectX compatible sound card
  • Additional Notes: This content requires ownership of both the base game XCOM 2, and the XCOM 2: War of the Chosen expansion to play.

 

RECOMMENDED SPECS:

Recommended:

 

  • OS: Windows® 7, 64-bit
  • Processor: 3GHz Quad Core
  • Memory: 8 GB RAM
  • Graphics: 2GB ATI Radeon HD 7970, 2GB NVIDIA GeForce GTX 770 or better
  • DirectX: Version 11
  • Storage: 74 GB available space
  • Sound Card: DirectX compatible sound card

 

MAC SYSTEM REQUIREMENTS

MINIMUM SPECS:

Minimum:

 

  • OS: macOS 10.13.6
  • Processor: 2.5GHz Intel Core i3 or greater
  • Memory: 8 GB RAM
  • Graphics: 1GB AMD 5750, Nvidia 650M, 1.5GB Intel Iris Pro 5200 (See Notes for more details)
  • Storage: 78 GB available space
  • Additional Notes: The game is supported on the following Macs. To check your Mac model and when it was released, select About This Mac from the Apple menu on your menu bar.
    • * All 13” MacBook Pros since late 2016
    • * All 15” MacBook Pros since early 2011 with a 1GB graphics card or better
    • * All 17" MacBook Pros since early 2011
    • * All 21.5” iMacs since late 2013
    • * All 27” iMacs since mid 2010 with a 1GB Graphics Cards and a 2.5GHz processor or better
    • * All Mac Pros released since late 2009
    ——— Please note for your computer to meet the minimum requirements it must match or better all elements of the listed system requirements. For more detailed specifications check the Feral website.

 

LINUX SYSTEM REQUIREMENTS

MINIMUM SPECS:

Minimum:

 

  • OS: Ubuntu 18.04, Steam OS 2.166
  • Processor: Intel i3-3225 3.3ghz
  • Memory: 4 GB RAM
  • Graphics: NVIDIA 650 (1GB), AMD R9 270 (2GB) or better
  • Storage: 78 GB available space
  • Additional Notes: Intel GPUs are not supported at time of release. Nvidia requires 381.22 or newer drivers. AMD requires Mesa 17.1.2 (tested)

 

You must be logged in to post a comment.
HRK Live Support